Module | RiDisplay
In: | rdoc/ri/ri_display.rb

This is a kind of ‘flag’ module. If you want to write your own ‘ri’ display module (perhaps because you’r writing an IDE or somesuch beast), you simply write a class which implements the various ‘display’ methods in ‘DefaultDisplay’, and include the ‘RiDisplay’ module in that class.

To access your class from the command line, you can do

       ruby -r <your source file>  ../ri ....

If folks really want to do this from the command line, I’ll build an option in

### Methods

append_features new

### Public Class methods

append_features(display_class)

[Source]

    # File rdoc/ri/ri_display.rb, line 22
      def RiDisplay.append_features(display_class)
        @@display_class = display_class
      end

new(*args)

[Source]

    # File rdoc/ri/ri_display.rb, line 26
      def RiDisplay.new(*args)
        @@display_class.new(*args)
      end

[Validate]